# $Revision: 1.385 $, $Date: 2012/06/10 20:47:34 $
#
# Conditional build:
%bcond_without	audit		# sshd audit support
%bcond_with	gnome		# with gnome-askpass (GNOME 1.x) utility
%bcond_without	gtk		# without GTK+ (2.x)
%bcond_without	ldap		# with ldap support
%bcond_without	libedit		# without libedit (editline/history support in sftp client)
%bcond_without	kerberos5	# without kerberos5 support
%bcond_without	selinux		# build without SELinux support
%bcond_with	hpn		# High Performance SSH/SCP - HPN-SSH including Cipher NONE (broken too often)
%bcond_without	tests

# gtk2-based gnome-askpass means no gnome1-based
%{?with_gtk:%undefine with_gnome}

%if "%{pld_release}" == "ac"
%define		pam_ver	0.79.0
%else
%define		pam_ver	1:1.1.5-5
%endif

Summary:	OpenSSH free Secure Shell (SSH) implementation
Summary(de.UTF-8):	OpenSSH - freie Implementation der Secure Shell (SSH)
Summary(es.UTF-8):	Implementación libre de SSH
Summary(fr.UTF-8):	Implémentation libre du shell sécurisé OpenSSH (SSH)
Summary(it.UTF-8):	Implementazione gratuita OpenSSH della Secure Shell
Summary(pl.UTF-8):	Publicznie dostępna implementacja bezpiecznego shella (SSH)
Summary(pt.UTF-8):	Implementação livre OpenSSH do protocolo 'Secure Shell' (SSH)
Summary(pt_BR.UTF-8):	Implementação livre do SSH
Summary(ru.UTF-8):	OpenSSH - свободная реализация протокола Secure Shell (SSH)
Summary(uk.UTF-8):	OpenSSH - вільна реалізація протоколу Secure Shell (SSH)
Name:		openssh
Version:	6.0p1
Release:	2
Epoch:		2
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/%{name}-%{version}.tar.gz
# Source0-md5:	3c9347aa67862881c5da3f3b1c08da7b
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	66943d481cc422512b537bcc2c7400d1
Source2:	%{name}d.init
Source3:	%{name}d.pamd
Source4:	%{name}.sysconfig
Source5:	ssh-agent.sh
Source6:	ssh-agent.conf
Source7:	%{name}-lpk.schema
Source8:	%{name}d.upstart
Source9:	sshd.service
Source10:	sshd-keygen
Source11:	sshd.socket
Source12:	sshd@.service
Patch100:	%{name}-heimdal.patch
Patch0:		%{name}-no_libnsl.patch
Patch2:		%{name}-pam_misc.patch
Patch3:		%{name}-sigpipe.patch
# http://pkgs.fedoraproject.org/gitweb/?p=openssh.git;a=tree
Patch4:		%{name}-5.9p1-ldap.patch
Patch5:		%{name}-5.9p1-ldap-fixes.patch
Patch8:		ldap.conf.patch
Patch6:		%{name}-config.patch
# https://bugzilla.mindrot.org/show_bug.cgi?id=1663
Patch7:		authorized-keys-command.patch
# High Performance SSH/SCP - HPN-SSH - http://www.psc.edu/networking/projects/hpn-ssh/
# http://www.psc.edu/networking/projects/hpn-ssh/openssh-5.2p1-hpn13v6.diff.gz
Patch9:		%{name}-5.2p1-hpn13v6.diff
Patch10:	%{name}-include.patch
Patch11:	%{name}-chroot.patch
# http://people.debian.org/~cjwatson/%{name}-blacklist.diff
Patch12:	%{name}-blacklist.diff
Patch13:	%{name}-kuserok.patch
Patch14:	%{name}-bind.patch
URL:		http://www.openssh.com/portable.html
BuildRequires:	%{__perl}
%{?with_audit:BuildRequires:	audit-libs-devel}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{?with_gnome:BuildRequires:	gnome-libs-devel}
%{?with_gtk:BuildRequires:	gtk+2-devel}
%{?with_kerberos5:BuildRequires:	heimdal-devel >= 0.7}
%{?with_libedit:BuildRequires:	libedit-devel}
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libwrap-devel
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
%{?with_gtk:BuildRequires:	pkgconfig}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.627
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
%if "%{pld_release}" == "ac"
Requires:	filesystem >= 2.0-1
Requires:	pam >= 0.79.0
%else
Requires:	filesystem >= 3.0-11
Requires:	pam >= %{pam_ver}
Suggests:	openssh-blacklist
Suggests:	xorg-app-xauth
%endif
Obsoletes:	ssh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ssh
%define		_libexecdir	%{_libdir}/%{name}
%define		_privsepdir	/usr/share/empty
%define		schemadir	/usr/share/openldap/schema

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine. It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing
it up to date in terms of security and features, as well as removing
all patented algorithms to seperate libraries (OpenSSL).

This package includes the core files necessary for both the OpenSSH
client and server. To make this package useful, you should also
install openssh-clients, openssh-server, or both.

%if %{with hpn}
This release includes High Performance SSH/SCP patches from
http://www.psc.edu/networking/projects/hpn-ssh/ which are supposed to
increase throughput on fast connections with high RTT (20-150 msec).
See the website for '-w' values for your connection and /proc/sys TCP
values. BTW. in a LAN you have got generally RTT < 1 msec.
%endif

%description -l de.UTF-8
OpenSSH (Secure Shell) stellt den Zugang zu anderen Rechnern her. Es
ersetzt telnet, rlogin, rexec und rsh und stellt eine sichere,
verschlüsselte Verbindung zwischen zwei nicht vertrauenswürdigen Hosts
über eine unsicheres Netzwerk her. X11 Verbindungen und beliebige
andere TCP/IP Ports können ebenso über den sicheren Channel
weitergeleitet werden.

%description -l es.UTF-8
SSH es un programa para accesar y ejecutar órdenes en computadores
remotos. Sustituye rlogin y rsh, y suministra un canal de comunicación
seguro entre dos servidores en una red insegura. Conexiones X11 y
puertas TCP/IP arbitrárias también pueden ser usadas por el canal
seguro.

OpenSSH es el resultado del trabajo del equipo de OpenBSD para
continuar la última versión gratuita de SSH, actualizándolo en
términos de seguridad y recursos,así también eliminando todos los
algoritmos patentados y colocándolos en bibliotecas separadas
(OpenSSL).

Este paquete contiene "port" para Linux de OpenSSH. Se debe instalar
también el paquete openssh-clients u openssh-server o ambos.

%description -l fr.UTF-8
OpenSSH (Secure Shell) fournit un accès à un système distant. Il
remplace telnet, rlogin, rexec et rsh, tout en assurant des
communications cryptées securisées entre deux hôtes non fiabilisés sur
un réseau non sécurisé. Des connexions X11 et des ports TCP/IP
arbitraires peuvent également être transmis sur le canal sécurisé.

%description -l it.UTF-8
OpenSSH (Secure Shell) fornisce l'accesso ad un sistema remoto.
Sostituisce telnet, rlogin, rexec, e rsh, e fornisce comunicazioni
sicure e crittate tra due host non fidati su una rete non sicura. Le
connessioni X11 ad una porta TCP/IP arbitraria possono essere
inoltrate attraverso un canale sicuro.

%description -l pl.UTF-8
Ssh (Secure Shell) to program służący do logowania się na zdalną
maszynę i uruchamiania na niej aplikacji. W zamierzeniu openssh ma
zastąpić rlogin, rsh i dostarczyć bezpieczne, szyfrowane połączenie
pomiędzy dwoma hostami.

Ten pakiet zawiera podstawowe pliki potrzebne zarówno po stronie
klienta jak i serwera OpenSSH. Aby był użyteczny, trzeba zainstalować
co najmniej jeden z pakietów: openssh-clients lub openssh-server.

%if %{with hpn}
Ta wersja zawiera łaty z projektu High Performance SSH/SCP
http://www.psc.edu/networking/projects/hpn-ssh/, które mają na celu
zwiększenie przepustowości transmisji dla szybkich połączeń z dużym
RTT (20-150 msec). Na stronie projektu znaleźć można odpowednie dla
danego połączenia wartości parametru '-w' oraz opcje /proc/sys dla
TCP. Nawiasem mówiąc w sieciach LAN RTT < 1 msec.
%endif

%description -l pt.UTF-8
OpenSSH (Secure Shell) fornece acesso a um sistema remoto. Substitui o
telnet, rlogin, rexec, e o rsh e fornece comunicações seguras e
cifradas entre duas máquinas sem confiança mútua sobre uma rede
insegura. Ligações X11 e portos TCP/IP arbitrários também poder ser
reenviados pelo canal seguro.

%description -l pt_BR.UTF-8
SSH é um programa para acessar e executar comandos em máquinas
remotas. Ele substitui rlogin e rsh, e provem um canal de comunicação
seguro entre dois hosts em uma rede insegura. Conexões X11 e portas
TCP/IP arbitrárias também podem ser usadas pelo canal seguro.

OpenSSH é o resultado do trabalho da equipe do OpenBSD em continuar a
última versão gratuita do SSH, atualizando-o em termos de segurança e
recursos, assim como removendo todos os algoritmos patenteados e
colocando-os em bibliotecas separadas (OpenSSL).

Esse pacote contém o "port" pra Linux do OpenSSH. Você deve instalar
também ou o pacote openssh-clients, ou o openssh-server, ou ambos.

%description -l ru.UTF-8
Ssh (Secure Shell) - это программа для "захода" (login) на удаленную
машину и для выполнения команд на удаленной машине. Она предназначена
для замены rlogin и rsh и обеспечивает безопасную шифрованную
коммуникацию между двумя хостами в сети, являющейся небезопасной.
Соединения X11 и любые порты TCP/IP могут также быть проведены через
безопасный канал.

OpenSSH - это переделка командой разработчиков OpenBSD последней
свободной версии SSH, доведенная до современного состояния в терминах
уровня безопасности и поддерживаемых возможностей. Все патентованные
алгоритмы вынесены в отдельные библиотеки (OpenSSL).

Этот пакет содержит файлы, необходимые как для клиента, так и для
сервера OpenSSH. Вам нужно будет установить еще openssh-clients,
openssh-server, или оба пакета.

%description -l uk.UTF-8
Ssh (Secure Shell) - це програма для "заходу" (login) до віддаленої
машини та для виконання команд на віддаленій машині. Вона призначена
для заміни rlogin та rsh і забезпечує безпечну шифровану комунікацію
між двома хостами в мережі, яка не є безпечною. З'єднання X11 та
довільні порти TCP/IP можуть також бути проведені через безпечний
канал.

OpenSSH - це переробка командою розробників OpenBSD останньої вільної
версії SSH, доведена до сучасного стану в термінах рівня безпеки та
підтримуваних можливостей. Всі патентовані алгоритми винесені до
окремих бібліотек (OpenSSL).

Цей пакет містить файли, необхідні як для клієнта, так і для сервера
OpenSSH. Вам потрібно буде ще встановити openssh-clients,
openssh-server, чи обидва пакети.

%package clients
Summary:	OpenSSH Secure Shell protocol clients
Summary(es.UTF-8):	Clientes de OpenSSH
Summary(pl.UTF-8):	Klienci protokołu Secure Shell
Summary(pt_BR.UTF-8):	Clientes do OpenSSH
Summary(ru.UTF-8):	OpenSSH - клиенты протокола Secure Shell
Summary(uk.UTF-8):	OpenSSH - клієнти протоколу Secure Shell
Group:		Applications/Networking
Requires:	%{name}
Provides:	ssh-clients
Obsoletes:	ssh-clients

%description clients
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine. It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing
it up to date in terms of security and features, as well as removing
all patented algorithms to seperate libraries (OpenSSL).

This package includes the clients necessary to make encrypted
connections to SSH servers.

%description clients -l es.UTF-8
Este paquete incluye los clientes que se necesitan para hacer
conexiones codificadas con servidores SSH.

%description clients -l pl.UTF-8
Ssh (Secure Shell) to program służący do logowania się na zdalną
maszynę i uruchamiania na niej aplikacji. W zamierzeniu openssh ma
zastąpić rlogin, rsh i dostarczyć bezpieczne, szyfrowane połączenie
pomiędzy dwoma hostami.

Ten pakiet zawiera klientów służących do łączenia się z serwerami SSH.

%description clients -l pt_BR.UTF-8
Esse pacote inclui os clientes necessários para fazer conexões
encriptadas com servidores SSH.

%description clients -l ru.UTF-8
Ssh (Secure Shell) - это программа для "захода" (login) на удаленную
машину и для выполнения команд на удаленной машине.

Этот пакет содержит программы-клиенты, необходимые для установления
зашифрованных соединений с серверами SSH.

%description clients -l uk.UTF-8
Ssh (Secure Shell) - це програма для "заходу" (login) до віддаленої
машини та для виконання команд на віддаленій машині.

Цей пакет містить програми-клієнти, необхідні для встановлення
зашифрованих з'єднань з серверами SSH.

%package clients-agent-profile_d
Summary:	OpenSSH Secure Shell agent init script
Summary(pl.UTF-8):	Skrypt startowy agenta OpenSSH
Group:		Applications/Networking
Requires:	%{name}-clients = %{epoch}:%{version}-%{release}

%description clients-agent-profile_d
profile.d scripts for starting SSH agent.

%description clients-agent-profile_d -l pl.UTF-8
Skrypty profile.d do uruchamiania agenta SSH.

%package clients-agent-xinitrc
Summary:	OpenSSH Secure Shell agent init script
Summary(pl.UTF-8):	Skrypt inicjujący agenta ssh przez xinitrc
Group:		Applications/Networking
Requires:	%{name}-clients-agent-profile_d = %{epoch}:%{version}-%{release}
Requires:	xinitrc

%description clients-agent-xinitrc
xinitrc scripts for starting SSH agent.

%description clients-agent-xinitrc -l pl.UTF-8
Skrypty xinitrc do uruchamiania agenta SSH.

%package server
Summary:	OpenSSH Secure Shell protocol server (sshd)
Summary(de.UTF-8):	OpenSSH Secure Shell Protocol-Server (sshd)
Summary(es.UTF-8):	Servidor OpenSSH para comunicaciones codificadas
Summary(fr.UTF-8):	Serveur de protocole du shell sécurisé OpenSSH (sshd)
Summary(it.UTF-8):	Server OpenSSH per il protocollo Secure Shell (sshd)
Summary(pl.UTF-8):	Serwer protokołu Secure Shell (sshd)
Summary(pt.UTF-8):	Servidor do protocolo 'Secure Shell' OpenSSH (sshd)
Summary(pt_BR.UTF-8):	Servidor OpenSSH para comunicações encriptadas
Summary(ru.UTF-8):	OpenSSH - сервер протокола Secure Shell (sshd)
Summary(uk.UTF-8):	OpenSSH - сервер протоколу Secure Shell (sshd)
Group:		Networking/Daemons
Requires(post):	/sbin/chkconfig
Requires(post):	grep
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name} = %{epoch}:%{version}-%{release}
# remove in 6.0, kept for flawless upgrade
Requires:	%{name}-server-ldap = %{epoch}:%{version}-%{release}
Requires:	pam >= %{pam_ver}
Requires:	rc-scripts >= 0.4.3.0
Requires:	systemd-units >= 38
Requires:	util-linux
Suggests:	/bin/login
Provides:	ssh-server
Provides:	user(sshd)

%description server
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine. It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing
it up to date in terms of security and features, as well as removing
all patented algorithms to seperate libraries (OpenSSL).

This package contains the secure shell daemon. The sshd is the server
part of the secure shell protocol and allows ssh clients to connect to
your host.

%description server -l de.UTF-8
Dieses Paket installiert den sshd, den Server-Teil der OpenSSH.

%description server -l es.UTF-8
Este paquete contiene el servidor SSH. sshd es la parte servidor del
protocolo secure shell y permite que clientes ssh se conecten a su
servidor.

%description server -l fr.UTF-8
Ce paquetage installe le 'sshd', partie serveur de OpenSSH.

%description server -l it.UTF-8
Questo pacchetto installa sshd, il server di OpenSSH.

%description server -l pl.UTF-8
Ssh (Secure Shell) to program służący do logowania się na zdalną
maszynę i uruchamiania na niej aplikacji. W zamierzeniu openssh ma
zastąpić rlogin, rsh i dostarczyć bezpieczne, szyfrowane połączenie
pomiędzy dwoma hostami.

Ten pakiet zawiera serwer sshd (do którego mogą łączyć się klienci
ssh).

%description server -l pt.UTF-8
Este pacote intala o sshd, o servidor do OpenSSH.

%description server -l pt_BR.UTF-8
Esse pacote contém o servidor SSH. O sshd é a parte servidor do
protocolo secure shell e permite que clientes ssh se conectem ao seu
host.

%description server -l ru.UTF-8
Ssh (Secure Shell) - это программа для "захода" (login) на удаленную
машину и для выполнения команд на удаленной машине.

Этот пакет содержит sshd - "демон" Secure Shell. sshd - это серверная
часть протокола Secure Shell, позволяющая клиентам ssh соединяться с
вашим хостом.

%description server -l uk.UTF-8
Ssh (Secure Shell) - це програма для "заходу" (login) до віддаленої
машини та для виконання команд на віддаленій машині.

Цей пакет містить sshd - "демон" Secure Shell. sshd - це серверна
частина протоколу Secure Shell, яка дозволяє клієнтам ssh зв'язуватись
з вашим хостом.

%package server-ldap
Summary:	A LDAP support for open source SSH server daemon
Summary(pl.UTF-8):	Wsparcie LDAP dla serwera OpenSSH
Group:		Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description server-ldap
OpenSSH LDAP backend is a way how to distribute the authorized tokens
among the servers in the network.

%description server-ldap -l pl.UTF-8
Backend LDAP dla OpenSSH to metoda rozprowadzania autoryzowanych
tokenów między serwerami w sieci.

%package server-upstart
Summary:	Upstart job description for OpenSSH server
Summary(pl.UTF-8):	Opis zadania Upstart dla serwera OpenSSH
Group:		Daemons
Requires:	%{name}-server = %{epoch}:%{version}-%{release}
Requires:	upstart >= 0.6
Conflicts:	syslog-ng < 3.2.4-1

%description server-upstart
Upstart job description for OpenSSH.

%description server-upstart -l pl.UTF-8
Opis zadania Upstart dla OpenSSH.

%package gnome-askpass
Summary:	OpenSSH GNOME passphrase dialog
Summary(de.UTF-8):	OpenSSH GNOME Passwort-Dialog
Summary(es.UTF-8):	Diálogo para introducción de passphrase para GNOME
Summary(fr.UTF-8):	Dialogue pass-phrase GNOME d'OpenSSH
Summary(it.UTF-8):	Finestra di dialogo GNOME per la frase segreta di OpenSSH
Summary(pl.UTF-8):	Odpytywacz hasła OpenSSH dla GNOME
Summary(pt.UTF-8):	Diálogo de pedido de senha para GNOME do OpenSSH
Summary(pt_BR.UTF-8):	Diálogo para entrada de passphrase para GNOME
Summary(ru.UTF-8):	OpenSSH - диалог ввода ключевой фразы (passphrase) для GNOME
Summary(uk.UTF-8):	OpenSSH - діалог вводу ключової фрази (passphrase) для GNOME
Group:		Applications/Networking
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	openssh-askpass
Obsoletes:	ssh-askpass
Obsoletes:	ssh-extras

%description gnome-askpass
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine. It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing
it up to date in terms of security and features, as well as removing
all patented algorithms to seperate libraries (OpenSSL).

This package contains the GNOME passphrase dialog.

%description gnome-askpass -l es.UTF-8
Este paquete contiene un programa que abre una caja de diálogo para
entrada de passphrase en GNOME.

%description gnome-askpass -l pl.UTF-8
Ssh (Secure Shell) to program służący do logowania się na zdalną
maszynę i uruchamiania na niej aplikacji. W zamierzeniu openssh ma
zastąpić rlogin, rsh i dostarczyć bezpieczne, szyfrowane połączenie
pomiędzy dwoma hostami.

Ten pakiet zawiera ,,odpytywacz hasła'' dla GNOME.

%description gnome-askpass -l pt_BR.UTF-8
Esse pacote contém um programa que abre uma caixa de diálogo para
entrada de passphrase no GNOME.

%description gnome-askpass -l ru.UTF-8
Ssh (Secure Shell) - это программа для "захода" (login) на удаленную
машину и для выполнения команд на удаленной машине.

Этот пакет содержит диалог ввода ключевой фразы для использования под
GNOME.

%description gnome-askpass -l uk.UTF-8
Ssh (Secure Shell) - це програма для "заходу" (login) до віддаленої
машини та для виконання команд на віддаленій машині.

Цей пакет містить діалог вводу ключової фрази для використання під
GNOME.

%package -n openldap-schema-openssh-lpk
Summary:	OpenSSH LDAP Public Key schema
Summary(pl.UTF-8):	Schemat klucza publicznego LDAP dla OpenSSH
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-openssh-lpk
This package contains OpenSSH LDAP Public Key schema for openldap.

%description -n openldap-schema-openssh-lpk -l pl.UTF-8
Ten pakiet zawiera schemat klucza publicznego LDAP dla OpenSSH dla
openldap-a.

%prep
%setup -q
%{?with_kerberos5:%patch100 -p1}
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch8 -p1
%patch6 -p1
%patch7 -p1
%{?with_hpn:%patch9 -p1}
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%if "%{pld_release}" == "ac"
# fix for missing x11.pc
%{__sed} -i -e '/pkg-config/s/ x11//' contrib/Makefile
%endif

# hack since arc4random from openbsd-compat needs symbols from libssh and vice versa
sed -i -e 's#-lssh -lopenbsd-compat#-lssh -lopenbsd-compat -lssh#g' Makefile*

grep -rl /usr/libexec/openssh/ssh-ldap-helper . | xargs \
%{__sed} -i -e 's,/usr/libexec/openssh/ssh-ldap-helper,%{_libexecdir}/ssh-ldap-helper,'

%build
cp /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__autoheader}
CPPFLAGS="-DCHROOT"
%configure \
	PERL=%{__perl} \
	--disable-strip \
	--enable-utmpx \
	--enable-wtmpx \
	--with-4in6 \
	%{?with_audit:--with-audit=linux} \
	--with-ipaddr-display \
	%{?with_kerberos5:--with-kerberos5=/usr} \
	--with-ldap%{!?with_ldap:=no} \
	%{?with_libedit:--with-libedit} \
	--with-mantype=man \
	--with-md5-passwords \
	--with-pam \
	--with-authorized-keys-command \
	--with-pid-dir=%{_localstatedir}/run \
	--with-privsep-path=%{_privsepdir} \
	%{?with_selinux:--with-selinux} \
	--with-tcp-wrappers \
%if "%{pld_release}" == "ac"
	--with-xauth=/usr/X11R6/bin/xauth
%else
	--with-xauth=%{_bindir}/xauth
%endif

echo '#define LOGIN_PROGRAM		   "/bin/login"' >>config.h

%{__make}

%{?with_tests:%{__make} tests}

cd contrib
%if %{with gnome}
%{__make} gnome-ssh-askpass1 \
	CC="%{__cc} %{rpmldflags} %{rpmcflags}"
%endif
%if %{with gtk}
%{__make} gnome-ssh-askpass2 \
	CC="%{__cc} %{rpmldflags} %{rpmcflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{init,pam.d,rc.d/init.d,sysconfig,security,env.d}} \
	$RPM_BUILD_ROOT{%{_libexecdir}/ssh,%{schemadir},%{systemdunitdir}}
install -d $RPM_BUILD_ROOT/etc/{profile.d,X11/xinit/xinitrc.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

cp -p %{SOURCE3} sshd.pam
install -p %{SOURCE2} sshd.init

%if "%{pld_release}" == "ac"
# not present in ac, no point searching it
%{__sed} -i -e '/pam_keyinit.so/d' sshd.pam
# openssl on ac does not have OPENSSL_HAS_ECC
%{__sed} -i -e '/ecdsa/d' sshd.init
%endif

install -p sshd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/sshd
cp -p sshd.pam $RPM_BUILD_ROOT/etc/pam.d/sshd
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/sshd
cp -p %{SOURCE5} $RPM_BUILD_ROOT/etc/profile.d
ln -sf	/etc/profile.d/ssh-agent.sh $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/ssh-agent.sh
cp -p %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE7} $RPM_BUILD_ROOT%{schemadir}
cp -p %{SOURCE8} $RPM_BUILD_ROOT/etc/init/sshd.conf

%{__sed} -e 's|@@LIBEXECDIR@@|%{_libexecdir}|g' %{SOURCE9} >$RPM_BUILD_ROOT%{systemdunitdir}/sshd.service
cp -p %{SOURCE10} $RPM_BUILD_ROOT%{_libexecdir}/sshd-keygen

cp -p %{SOURCE11} $RPM_BUILD_ROOT%{systemdunitdir}
cp -p %{SOURCE12} $RPM_BUILD_ROOT%{systemdunitdir}

%if %{with gnome}
install -p contrib/gnome-ssh-askpass1 $RPM_BUILD_ROOT%{_libexecdir}/ssh/ssh-askpass
%endif
%if %{with gtk}
install -p contrib/gnome-ssh-askpass2 $RPM_BUILD_ROOT%{_libexecdir}/ssh/ssh-askpass
%endif
%if %{with gnome} || %{with gtk}
cat << 'EOF' >$RPM_BUILD_ROOT/etc/env.d/GNOME_SSH_ASKPASS_GRAB_SERVER
#GNOME_SSH_ASKPASS_GRAB_SERVER="true"
EOF
cat << 'EOF' >$RPM_BUILD_ROOT/etc/env.d/GNOME_SSH_ASKPASS_GRAB_POINTER
#GNOME_SSH_ASKPASS_GRAB_POINTER="true"
EOF
ln -s %{_libexecdir}/ssh/ssh-askpass $RPM_BUILD_ROOT%{_libexecdir}/ssh-askpass
%endif

install -p contrib/ssh-copy-id $RPM_BUILD_ROOT%{_bindir}
cp -p contrib/ssh-copy-id.1 $RPM_BUILD_ROOT%{_mandir}/man1

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/slogin.1
echo ".so ssh.1" > $RPM_BUILD_ROOT%{_mandir}/man1/slogin.1

touch $RPM_BUILD_ROOT/etc/security/blacklist.sshd

cat << 'EOF' > $RPM_BUILD_ROOT/etc/env.d/SSH_ASKPASS
#SSH_ASKPASS="%{_libexecdir}/ssh-askpass"
EOF

%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.openssh-non-english-man-pages
%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post clients
%env_update

%postun clients
%env_update

%post gnome-askpass
%env_update

%postun gnome-askpass
%env_update

%pre server
%useradd -P %{name}-server -u 40 -d %{_privsepdir} -s /bin/false -c "OpenSSH PrivSep User" -g nobody sshd

%post server
/sbin/chkconfig --add sshd
%service sshd reload "OpenSSH Daemon"
if ! grep -qs ssh /etc/security/passwd.conf ; then
	umask 022
	echo "ssh" >> /etc/security/passwd.conf
fi
NORESTART=1
%systemd_post sshd.service

%preun server
if [ "$1" = "0" ]; then
	%service sshd stop
	/sbin/chkconfig --del sshd
fi
%systemd_preun sshd.service

%postun server
if [ "$1" = "0" ]; then
	%userremove sshd
fi
%systemd_reload

%triggerpostun server -- %{name}-server < 2:5.9p1-8
# lpk.patch to ldap.patch
if grep -qE '^(UseLPK|Lpk)' %{_sysconfdir}/sshd_config; then
	echo >&2 "Migrating LPK patch to LDAP patch"
	cp -f %{_sysconfdir}/sshd_config{,.rpmorig}
	%{__sed} -i -e '
		# disable old configs
		# just UseLPK/LkpLdapConf supported for now
		s/^UseLPK/## Obsolete &/
		s/^Lpk/## Obsolete &/
		# Enable new ones, assumes /etc/ldap.conf defaults, see HOWTO.ldap-keys
		/UseLPK/iAuthorizedKeysCommand %{_libexecdir}/ssh-ldap-wrapper
	' %{_sysconfdir}/sshd_config
	if [ ! -x /bin/systemd_booted ] || ! /bin/systemd_booted; then
		/bin/systemctl try-restart sshd.service || :
	else
		%service -q sshd reload
	fi
fi
%systemd_trigger sshd.service
if [ -x /bin/systemd_booted ] && /bin/systemd_booted; then
%banner %{name}-server -e << EOF
!!!!!!!!!!!!!!!!!!!!!!! WARNING !!!!!!!!!!!!!!!!!!!!!!!!!
! Native systemd support for sshd has been installed.   !
! Restarting sshd.service with systemctl WILL kill all  !
! active ssh sessions (daemon as such will be started). !
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
EOF
fi

%post server-upstart
%upstart_post sshd

%postun server-upstart
%upstart_postun sshd

%post -n openldap-schema-openssh-lpk
%openldap_schema_register %{schemadir}/openssh-lpk.schema
%service -q ldap restart

%postun -n openldap-schema-openssh-lpk
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/openssh-lpk.schema
	%service -q ldap restart
fi

%files
%defattr(644,root,root,755)
%doc TODO README OVERVIEW CREDITS Change*
%attr(755,root,root) %{_bindir}/ssh-key*
%attr(755,root,root) %{_bindir}/ssh-vulnkey*
%{_mandir}/man1/ssh-key*.1*
%{_mandir}/man1/ssh-vulnkey*.1*
%dir %{_sysconfdir}
%dir %{_libexecdir}

%files clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ssh
%attr(755,root,root) %{_bindir}/slogin
%attr(755,root,root) %{_bindir}/sftp
%attr(755,root,root) %{_bindir}/ssh-agent
%attr(755,root,root) %{_bindir}/ssh-add
%attr(755,root,root) %{_bindir}/ssh-copy-id
%attr(755,root,root) %{_bindir}/scp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ssh_config
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/SSH_ASKPASS
%{_mandir}/man1/scp.1*
%{_mandir}/man1/ssh.1*
%{_mandir}/man1/slogin.1*
%{_mandir}/man1/sftp.1*
%{_mandir}/man1/ssh-agent.1*
%{_mandir}/man1/ssh-add.1*
%{_mandir}/man1/ssh-copy-id.1*
%{_mandir}/man5/ssh_config.5*
%lang(it) %{_mandir}/it/man1/ssh.1*
%lang(it) %{_mandir}/it/man5/ssh_config.5*
%lang(pl) %{_mandir}/pl/man1/scp.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/scp.1*

# for host-based auth (suid required for accessing private host key)
#%attr(4755,root,root) %{_libexecdir}/ssh-keysign
#%{_mandir}/man8/ssh-keysign.8*

%files clients-agent-profile_d
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ssh-agent.conf
%attr(755,root,root) /etc/profile.d/ssh-agent.sh

%files clients-agent-xinitrc
%defattr(644,root,root,755)
%attr(755,root,root) /etc/X11/xinit/xinitrc.d/ssh-agent.sh

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/sshd
%attr(755,root,root) %{_libexecdir}/sftp-server
%attr(755,root,root) %{_libexecdir}/ssh-keysign
%attr(755,root,root) %{_libexecdir}/ssh-pkcs11-helper
%attr(755,root,root) %{_libexecdir}/sshd-keygen
%{_mandir}/man8/sshd.8*
%{_mandir}/man8/sftp-server.8*
%{_mandir}/man8/ssh-keysign.8*
%{_mandir}/man8/ssh-pkcs11-helper.8*
%{_mandir}/man5/sshd_config.5*
%{_mandir}/man5/moduli.5*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sshd_config
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/sshd
%attr(640,root,root) %{_sysconfdir}/moduli
%attr(754,root,root) /etc/rc.d/init.d/sshd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/sshd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.sshd
%{systemdunitdir}/sshd.service
%{systemdunitdir}/sshd.socket
%{systemdunitdir}/sshd@.service

%if %{with ldap}
%files server-ldap
%defattr(644,root,root,755)
%doc HOWTO.ldap-keys ldap.conf
%attr(755,root,root) %{_libexecdir}/ssh-ldap-helper
%attr(755,root,root) %{_libexecdir}/ssh-ldap-wrapper
%{_mandir}/man5/ssh-ldap.conf.5*
%{_mandir}/man8/ssh-ldap-helper.8*
%endif

%if %{with gnome} || %{with gtk}
%files gnome-askpass
%defattr(644,root,root,755)
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/GNOME_SSH_ASKPASS*
%dir %{_libexecdir}/ssh
%attr(755,root,root) %{_libexecdir}/ssh/ssh-askpass
%attr(755,root,root) %{_libexecdir}/ssh-askpass
%endif

%if %{with ldap}
%files -n openldap-schema-openssh-lpk
%defattr(644,root,root,755)
%{schemadir}/openssh-lpk.schema
%endif

%if "%{pld_release}" != "ti"
%files server-upstart
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/init/sshd.conf
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openssh.spec,v $
Revision 1.385  2012/06/10 20:47:34  glen
- package systemd socket activation files (do not enable)

Revision 1.384  2012/04/27 16:24:02  baggins
- move systemd banner to trigger

Revision 1.383  2012/04/24 05:32:51  arekm
- up to 6.0p1

Revision 1.382  2012/04/17 17:46:36  baggins
- rel 9
- better systemd deps

Revision 1.381  2012/02/20 21:54:07  arekm
- run test suite

Revision 1.380  2012/02/12 12:47:18  baggins
- rel 8
- added systemd native service, with a BIG FAT WARNING
- R pam with pam_systemd enabled
- don't do install time parsing in prep

Revision 1.379  2011/11/12 10:39:56  arekm
- rel 7; when ipv6 sockets are allowed to be created (AF_INET6 is supported) sshd tries to bind to ::1, too which may be unavailable (for example in vserver guests or when net.ipv6.conf.all.disable_ipv6=1) - skip af family then

Revision 1.378  2011/09/30 17:24:10  qboosh
- pl for -server-ldap
- audit enabled by default
- release 6

Revision 1.377  2011/09/29 17:33:17  arekm
- rel 5; epoch in dep

Revision 1.376  2011/09/29 09:37:38  glen
- move ldap files to -server-ldap, currently required by server package for migration

Revision 1.375  2011/09/28 22:19:59  glen
- release 3

Revision 1.374  2011/09/28 22:15:31  glen
- fix ssh-ldap-helper path
- always apply ldap patches, other patches depend on them, yet without ldap bcond does not exactly work

Revision 1.373  2011/09/28 22:04:27  glen
- use /etc/ldap.conf, not another copy of ldap.conf

Revision 1.372  2011/09/28 21:45:52  glen
- fixing lpk trigger caps

Revision 1.371  2011/09/28 21:42:53  glen
- fix epoch in trigger

Revision 1.370  2011/09/28 21:40:32  glen
- add authorized-keys-command.patch, needed for ldap support to work at all

Revision 1.369  2011/09/28 21:26:40  glen
- LPK -> LDAP patch trigger, nfy

Revision 1.368  2011/09/16 17:24:39  arekm
- release 2

Revision 1.367  2011/09/16 16:36:44  qboosh
- restored selinux support
- added audit support (bcond, default off for now, to be enabled)

Revision 1.366  2011/09/11 06:47:53  arekm
- rel 1; replace lpk patch with maintained fedora ldap patch

Revision 1.365  2011/09/06 17:58:54  arekm
- up to 5.9p1 (lpk patch needs update; builds --without ldap only for now)

Revision 1.364  2011/08/02 23:17:07  baggins
- release 3

Revision 1.363  2011/06/15 12:11:53  jajcus
- SERVICE=syslog replaced with SERVICE_syslog=y in upstart job
- %upstart_post and %upstart_postun macro definitions removed (they are defined
  in rpm-build-macros)
- Release: 2

Revision 1.362  2011/05/03 10:53:50  glen
- 5.8p2

Revision 1.361  2011/04/27 20:49:22  glen
- disable ecdsa on ac (openssl lacks OPENSSL_HAS_ECC)

Revision 1.360  2011/04/21 06:20:30  glen
- typos

Revision 1.359  2011/04/20 14:58:35  glen
- remove pam_keyinit on ac

Revision 1.358  2011/04/19 22:45:20  baggins
- final, working solution to hardcoded kerberos credential cache,
  now sshd honours default_cc_type and default_cc_name settings in krb5.conf

Revision 1.357  2011/04/19 20:19:14  baggins
- don't hardcode credential cache type and name for heimdal (breaks KCM)

Revision 1.356  2011/04/19 12:12:55  baggins
- rel 4

Revision 1.355  2011/04/19 12:08:10  baggins
- add option to disable looking for/at .k5login file

Revision 1.354  2011/02/20 18:42:48  glen
- release 3

Revision 1.353  2011/02/05 17:51:48  arekm
- up to 5.8p1

Revision 1.352  2011/02/05 09:53:16  glen
- gen keys also on reload (i.e upgrade to 5.7 should create ssh_host_ecdsa_key)

Revision 1.351  2011/01/29 15:11:52  glen
- use url to portable

Revision 1.350  2011/01/29 15:02:58  glen
- revert; ssh-copy-id -i idfile hostname still works (mislooked something i suppose)

Revision 1.349  2011/01/29 11:35:02  glen
- fix ssh-copy-id -i arg support

Revision 1.348  2011/01/25 18:21:33  arekm
rel 3; Drop obsolete /proc/pid/oom_adj. New /proc/pid/oom_score_adj uses totally different values, so adjust val for it.

Revision 1.347  2011/01/24 18:16:41  arekm
- rel 2; generate /etc/ssh/ssh_host_ecdsa_key

Revision 1.346  2011/01/24 15:44:15  caleb
- Up to 5.7p1
- Removed selinux patch, applied upstream
- Updated heimdal and ldap patches

Revision 1.345  2010/10/20 10:57:07  baggins
- rel 4
- sshd must be started after nfsfs (/usr over nfs)

Revision 1.344  2010/10/04 17:49:51  baggins
- rel 3

Revision 1.343  2010/10/03 08:57:24  qboosh
- dropped obsolete configure options

Revision 1.342  2010/08/24 11:15:35  glen
- release 2

Revision 1.341  2010/08/24 11:15:01  glen
- up to 5.6p1

Revision 1.340  2010/08/16 18:55:30  baggins
- rel 6
- don't sync! just think how long it takes on a fileserver with 3TB storage,
  ~3k users and 80GB of RAM when you try to sync (yes, it takes FOREVER)

Revision 1.339  2010/08/11 07:55:42  arekm
- rel 5; start sshd early; just after network and die just before network

Revision 1.338  2010/06/07 19:43:35  hawk
- Titanium will not support upstart, its faaar from being as stable as
  SusVinit

Revision 1.337  2010/05/10 15:29:00  jajcus
- Release: 3

Revision 1.336  2010/05/10 12:37:15  jajcus
- 'upstart_native' branch merged
- restart upstart service on upgrade

Revision 1.335.2.2  2010/05/07 16:54:34  jajcus
- dependencies improvement

Revision 1.335.2.1  2010/05/07 08:47:23  jajcus
- proof-of-concept upstart event-based startup

Revision 1.335  2010/04/16 12:56:33  glen
- release 2

Revision 1.334  2010/04/16 12:00:39  glen
- xorg fix for ac

Revision 1.333  2010/04/16 06:16:11  arekm
- up to 5.5p1

Revision 1.332  2010/04/12 12:34:14  baggins
- rel 4

Revision 1.331  2010/04/10 17:34:09  arekm
- release 3

Revision 1.330  2010/04/05 13:21:46  glen
- release 2

Revision 1.329  2010/04/05 13:17:58  glen
- build AC version from HEAD as well

Revision 1.328  2010/03/28 20:19:59  arekm
- rel 1

Revision 1.327  2010/03/08 13:51:46  arekm
- 5.4 partial update

Revision 1.326  2009/12/26 03:15:31  glen
- "fix" v2

Revision 1.325  2009/12/23 17:17:47  mmazur
- fix sources

Revision 1.324  2009/12/15 13:02:18  baggins
- rel 2

Revision 1.323  2009/10/02 11:15:33  arekm
- up to 5.3p1

Revision 1.322  2009/09/15 11:07:28  glen
- merge

Revision 1.321  2009/09/04 11:40:29  glen
- hpn patch updated to hpn13v6

Revision 1.320  2009/09/02 11:59:35  glen
- default config doesn't use /bin/login; rel 6

Revision 1.319  2009/08/29 14:09:37  arekm
- release 5

Revision 1.318  2009/07/02 22:33:08  baggins
- rel 4
- switch to heimdal kerberos

Revision 1.317  2009/06/04 11:18:48  gotar
- removed one more senseless strict internal dep - clients subpackage needs
  only /etc/ssh directory included in openssh main package since rev. 1.2

Revision 1.316  2009/05/26 22:26:05  baggins
- rel 3
- added post(un) for schema package

Revision 1.315  2009/05/26 15:49:01  baggins
- rel 2
- added openldap-schema-openssh-lpk package
- build with LDAP support by default
- updated blacklist patch
- updated openssh-lpk patch

Revision 1.314  2009/05/18 14:59:54  blues
- use hash known_hosts
- TODO in separate file

Revision 1.313  2009/02/23 21:14:53  arekm
- up to 5.2

Revision 1.312  2009/01/28 13:27:26  glen
- send/accept GIT_* env vars; rel 5

Revision 1.311  2009/01/14 14:37:08  tiwek
- install ssh-copy-id from contrib (nice tool)

Revision 1.310  2008/11/24 10:53:42  blues
- security note

Revision 1.309  2008/09/29 09:24:27  blues
- CVE note

Revision 1.308  2008/08/27 10:42:41  glen
- rel 3: pass TZ env in connection

Revision 1.307  2008/07/24 06:28:46  arekm
- rel 2; oom avoidance support

Revision 1.306  2008/07/22 09:01:01  arekm
- up to 5.1p1

Revision 1.305  2008/06/11 15:49:58  hawk
- release 7

Revision 1.304  2008-06-03 18:52:23  arekm
- rel 6; unbreak keep alive options; from upstream

Revision 1.303  2008-05-29 11:03:49  pluto
- S: xorg-app-xauth for x11 fwd.

Revision 1.302  2008-05-20 13:39:19  jajcus
- openssh public key blacklist support, including ssh-vulnkey tool, added (from Debian)

Revision 1.301  2008-05-19 06:10:15  glen
- rc-scripts with --pidfile in daemon()

Revision 1.300  2008-05-07 22:05:54  glen
- 5.0p1-hpn13v4 test

Revision 1.299  2008-05-05 14:46:25  blues
- missing define

Revision 1.298  2008-05-05 14:43:18  blues
- rel. 3.1 (vel. TEST-ME!!!) - chroot patch is back

Revision 1.297  2008-04-06 20:34:56  arekm
- rel 3; disable hpn (broken too often)

Revision 1.296  2008-04-04 15:00:23  glen
- update hpn to 13v2; rel 2

Revision 1.295  2008-04-04 06:49:14  arekm
- up to 5.0 (chroot patch obsoleted; CVE-2008-1483 fixed)

Revision 1.294  2008-02-29 16:51:21  glen
- enable hpn, rel 4

Revision 1.293  2008-02-26 14:34:34  glen
- updated hpn patch to 13v1 (AC-branch merge)

Revision 1.292  2007-12-11 20:15:07  glen
- AC-branch merge: paths are already substituted by Makefile; rel 3

Revision 1.291  2007-11-07 00:24:12  glen
- rel 2

Revision 1.290  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.289  2007/10/30 20:20:57  qboosh
- dropped disabled for long time pam-conv patch, renumbered remaining ones

Revision 1.288  2007/10/22 06:42:56  arekm
- up to 4.7p1

Revision 1.287  2007/10/19 19:27:22  glen
- rel 6

Revision 1.286  2007/10/19 18:55:23  glen
- adapter; check-files cleanup

Revision 1.285  2007/10/19 18:37:37  glen
- make rel to stand out from macros

Revision 1.284  2007/10/13 00:22:22  baggins
- rel 5
- switched from separate sources for ssh_config and sshd_config to
  openssh-config.patch
- sorted sources

Revision 1.283  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.282  2007/04/10 19:27:34  qboosh
- added sshv1-openssl patch (fixes SSHv1 compat when using openssl 0.9.8e)
- pass --with-kerberos=/usr to detect krb5-config script and avoid linking
  with libgssapi when libkrb5_gssapi must be used
- release 4

Revision 1.281  2007/04/09 14:47:58  glen
- use master site for source0

Revision 1.280  2007/04/02 13:06:13  qboosh
- updated opensshd.conf comment for changed UsePAM semantics;
  NOTE: PAM no longer will use password auth when PasswordAuthentication=no

Revision 1.279  2007/03/31 21:44:59  baggins
- rel 3
- s/heimdal/krb5/
- removed unneeded heimdal patch

Revision 1.278  2007/03/31 09:05:15  qboosh
- pl for new subpackages

Revision 1.277  2007/03/26 19:37:01  arekm
- drop sshagentsh bcond; switch to subpackages

Revision 1.276  2007/03/18 12:00:21  qboosh
- updated to 4.6p1

Revision 1.275  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.274  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.273  2007/02/11 13:24:27  baggins
- rel 3
- R: pam >= 0.99.7.1

Revision 1.272  2006/12/01 11:22:54  qboosh
- added CVE reference to rev. 1.270 changelog entry

Revision 1.271  2006/11/15 09:18:49  qboosh
- connect moved to separate package (connect); release 2

Revision 1.270  2006/11/09 10:03:46  arekm
- up to 4.5p1 [fixes CVE-2006-5794]

Revision 1.269  2006/10/27 18:32:50  qboosh
- updated dep for /usr/share/empty dir (FHS -> filesystem); release 2

Revision 1.268  2006/10/12 22:03:45  glen
- rel 1

Revision 1.267  2006/10/12 21:58:33  glen
- prepare source in %prep

Revision 1.266  2006/10/05 08:41:06  qboosh
- updated chroot patch
- selinux patch merged, now it contains just one fix
- removed obsolete selinux-pld patch

Revision 1.265  2006/09/28 22:38:54  glen
- ac_fix patch outdated

Revision 1.264  2006/09/28 21:38:02  glen
- 4.4p1, selinux patches need review
  [CVE-2006-5051]

Revision 1.263  2006/09/27 19:42:52  glen
- rel 7; fixes CVE-2006-4924

Revision 1.262  2006/09/06 15:50:28  sparky
- rpmbuild(macros) >= 1.318 (%env_update)

Revision 1.261  2006/08/31 19:53:29  glen
- %env_update; rel 4

Revision 1.260  2006/08/12 17:46:11  ankry
- formatting

Revision 1.259  2006/08/10 19:59:11  patrys
- rel up for new libcrypto

Revision 1.258  2006/08/06 08:47:35  cieciwa
- release 2.

Revision 1.257  2006/07/29 18:00:17  sparky
- added ac_fix patch

Revision 1.256  2006/07/29 15:29:46  sparky
- fixed wrong md5

Revision 1.255  2006/07/29 15:27:35  sparky
- use connect.c (and .html) directly from http, not throught CVS

Revision 1.254  2006/06/12 09:12:20  shadzik
- updated lpk patch to openssh-lpk-4.3p1-0.3.7.patch

Revision 1.253  2006/05/02 23:56:33  glen
- use safer 'reload' to restart sshd on upgrade (read manpage before reverting)

Revision 1.252  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.251  2006/02/19 19:06:59  qboosh
- updated to 4.3p2 (fixes for logout recording with privsep disabled)

Revision 1.250  2006/02/16 00:19:38  baggins
- release 4
- authors of openssh _still_ got no brain
- enable u/wtmpx support

Revision 1.249  2006/02/13 12:28:08  glen
- updated HPN patches to 4.3p1

Revision 1.248  2006/02/13 12:00:17  glen
- adapterized

Revision 1.247  2006/02/09 14:13:17  wrobell
- shit

Revision 1.246  2006/02/09 14:09:19  wrobell
- support for modular xorg
- rel. 3

Revision 1.245  2006/02/02 09:38:13  qboosh
- added CVE note to previous commit message

Revision 1.244  2006/02/02 08:46:07  hawk
- updated to 4.3p1
  [fixes CVE-2006-0225]
- updated sigpipe and linux-ipv6 patches for 4.3p1
- updated lpk patch to 0.3.6
- release 2 (1 will be for Ra)

Revision 1.243  2006/01/05 08:49:32  qrczak
- Fixed #include in zlib version detection.

Revision 1.242  2005/12/21 12:07:49  wrobell
- info about xauth for modularized xorg

Revision 1.241  2005/10/31 09:41:16  mguevara
- adds hpn and hpn_none "with" bconds (patches 11 and 12).

Revision 1.240  2005/10/13 06:28:39  arekm
- rel 5; revert openssl req (signle package in ready was broken)

Revision 1.239  2005/10/12 17:36:17  jack
- proper requires (there is no prereq (c) arekm))

Revision 1.238  2005/10/12 17:27:21  jack
- rel 4 - rebuild against new openssl

Revision 1.237  2005/09/03 14:19:57  hawk
- release 3 (another unnecessary release bump and package rebuild, checking
  if release 1 should go to Ra is obviously too difficult to perform)

Revision 1.236  2005/09/02 19:36:21  arekm
- up to 4.2p1

Revision 1.235  2005/08/18 07:09:01  qboosh
- more general lib64 subst

Revision 1.234  2005/08/17 23:27:23  aredridel
- use lib64 in config files for amd64

Revision 1.233  2005/08/11 20:44:53  glen
- require newer rc-scripts for updated initscript

Revision 1.232  2005/08/11 20:41:25  troll
- release 5 to rebuild with the new openssl

Revision 1.231  2005/07/08 18:06:22  arekm
- BR heimdal-devel >= 0.7

Revision 1.230  2005/05/29 12:36:37  hawk
- release 3 (2 for Ra, please don't forget about Ra to avoid release bumps)

Revision 1.229  2005/05/29 12:14:48  adamg
- updated to 4.1p1

Revision 1.228  2005/05/20 08:25:58  baggins
- release 5
- moved SERVICE_LIMITS to proper place (sysconfig)
- set max user processes limit to unlimited by default

Revision 1.227  2005/05/12 13:21:36  baggins
- release 4
- req pam 0.79

Revision 1.226  2005/05/10 14:23:39  qboosh
- unified

Revision 1.225  2005/05/09 23:39:35  pluto
- release 3 for Th.

Revision 1.224  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.223  2005/03/25 13:39:00  hawk
- Source9 and Source10 moved to SOURCES

Revision 1.222  2005/03/17 11:07:31  hawk
- works for me, release 2 (1 for Ra)

Revision 1.221  2005/03/17 10:36:27  hawk
- updated LDAP public key patch to version 0.3

Revision 1.220  2005/03/12 23:37:43  matowy
- fix and rel 0.2

Revision 1.219  2005/03/12 23:33:19  matowy
- updated ldap public key patch
- updated ssh proxy command (connect.c)

Revision 1.218  2005/03/10 22:03:55  qboosh
- build sftp with editline support

Revision 1.217  2005/03/10 14:46:30  qboosh
- wrrr, updated sigpipe,chroot patches

Revision 1.216  2005/03/10 14:15:06  cieciwa
- upgrade to 4.0p1,
- updated MS5 sum.
- REQ patch look and FIX

Revision 1.215  2004/11/24 21:58:25  hawk
- rel 5

Revision 1.214  2004/11/17 21:25:56  glen
- added selinux bcond; rel 3; STBR

Revision 1.213  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.212  2004/10/12 12:35:25  ankry
- %groupremove/%userremove support, some standarization

Revision 1.211  2004/09/12 12:09:03  blues
- release 2; changed default config, see:
  http://securitytracker.com/alerts/2004/Sep/1011143.html

Revision 1.210  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.209  2004/08/29 14:18:06  qboosh
- moved libexecdir dir to base (used both by server and askpass)

Revision 1.208  2004/08/29 13:11:07  blues
- added vars set with env.d

Revision 1.207  2004/08/17 17:35:40  arekm
- rel 1 (works for me)

Revision 1.206  2004/08/17 17:25:47  arekm
- started 3.9p1

Revision 1.205  2004/08/06 18:12:29  qboosh
- strict internal deps, unifications

Revision 1.204  2004/08/06 00:35:10  twittner
- move R: xinitrc in proper place (to client subpackage - noticed by arekm).

Revision 1.203  2004/08/06 00:15:09  twittner
- add /etc/profile.d/ssh-agent.sh (in bcond, default turn off for now).
  ssh-agent.sh starts only one copy of ssh-agent per user and exports
  SSH_AGENT_PID SSH_AUTH_SOCK environment variables for each new login
  session of given user (it has similar use to keychain).

Revision 1.202  2004/06/11 21:26:46  ankry
- non-English man pages added, rel. 2

Revision 1.201  2004/06/10 13:36:53  arekm
- askpass default location symlink

Revision 1.200  2004/04/28 23:42:20  arekm
- updated to 3.8.1p1

Revision 1.199  2004/04/28 23:13:03  arekm
- rel 3; fix issues with utmp lines longer than 7 characters ie pts/1000

Revision 1.198  2004/04/05 22:24:11  adgor
- SSH_ASKPASS value shouldn't be set per host (even You need this value
  to be global - put it to /etc/env.d dir)

Revision 1.197  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.196  2004/03/16 11:21:50  wrobell
- rel. 1 to rebuild with new ldap on nest builders

Revision 1.195  2004/03/09 14:03:29  baggins
- release 0.3
- not screwed version of this crap is a version lost. the horror, the horror...

Revision 1.194  2004/02/26 18:50:37  qboosh
- updated heimdal,selinux,selinux-pld patches

Revision 1.193  2004/02/25 19:51:45  misi3k
- rel 0.2
Note: builds without krb5, NFY

Revision 1.192  2004/02/25 18:46:04  misi3k
- start update to 3.8p1
- rel 0.1

Revision 1.191  2004/01/22 12:21:28  qboosh
- cleanups

Revision 1.190  2004/01/05 14:04:52  arekm
- changed behaviour of selinux code in permissive mode

Revision 1.189  2003/12/27 21:08:53  qboosh
- moved -lselinux to proper place in selinux patch, release 4.4

Revision 1.188  2003/12/27 20:41:11  qboosh
- updated bcond switching magick

Revision 1.187  2003/12/26 19:02:54  arekm
- added selinux support

Revision 1.186  2003/12/25 17:05:35  ankry
- rel. up to (4.2) be greater than in Ra (4)

Revision 1.185  2003/12/22 09:54:35  jajcus
- copy config.sub from automake

Revision 1.184  2003/10/07 19:17:31  pius
- enhanced openssh-chroot.patch with UseChroot configuration option
- changed the way this patch is applied and used (now applied by default)

Revision 1.183  2003/10/06 12:32:02  pius
- added conditional built with chrootssh support
- new bcond style

Revision 1.182  2003/10/05 16:14:39  arekm
- kerberos enabled by default (of course -libs is very small); enabled ability to verify host signatures in DNS records, added ssh-keysign binary (which should be suid-root but isn't for now)

Revision 1.181  2003/10/01 09:07:53  qboosh
- killed orig_ver - no longer necessary

Revision 1.180  2003/10/01 07:28:16  qboosh
- fixed double "c" addition

Revision 1.179  2003/09/30 20:18:28  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.178  2003/09/30 19:32:17  eothane
- openssl 0.9.7c
- next release

Revision 1.177  2003/09/26 14:23:49  baggins
- release 2

Revision 1.176  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.175  2003/09/23 16:47:17  baggins
- that's incredible, they got pam working :o

Revision 1.174  2003/09/23 13:21:27  adamg
- security update to 3.7.1p2 (see http://www.openssh.com/txt/sshpam.adv)

Revision 1.173  2003/09/18 16:03:25  baggins
- do apply patch7

Revision 1.172  2003/09/18 15:50:16  baggins
- release 3
- fixed force password changing at login

Revision 1.171  2003/09/17 19:27:16  blues
- cosmetics

Revision 1.170  2003/09/17 18:25:34  krzak
- Provides: ssh-clients, ssh-server
- rel 2

Revision 1.169  2003/09/17 05:24:41  misi3k
- updated to 3.7.1p1

Revision 1.168  2003/09/16 17:28:55  baggins
- updated to 3.7p1

Revision 1.167  2003/08/27 10:41:34  ankry
- Source-md5 -> NoSource-md5 (don't put text files on distfiles)

Revision 1.166  2003/08/25 21:37:25  qboosh
- updated init scripts for new rc-scripts-ulimits.patch, release 6

Revision 1.165  2003/08/22 19:32:30  areq
- add http://www.imasy.or.jp/~gotoh/ssh/connect.html

Revision 1.164  2003/08/18 08:08:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.163  2003/08/12 21:41:08  qboosh
- updated init script for new limits support in rc-scripts
- moved "ldap" mark from version to release
- release 4

Revision 1.162  2003/07/29 16:21:29  aredridel
- added optional kerberos support

Revision 1.161  2003/06/23 15:33:25  averne
- sorry, forgotten one thing ;)

Revision 1.160  2003/06/23 15:13:15  averne
- fixed epoch:version issue

Revision 1.159  2003/06/12 08:51:45  malekith
- release 2 to rebuild without this ldap patch that brokes key
  authentication

Revision 1.158  2003/06/07 15:07:13  eothane
- patch5 shouldn't be applied by default

Revision 1.157  2003/06/06 12:00:12  misi3k
- rel 1 (looks stable)

Revision 1.156  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.155  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.154  2003/05/22 19:15:43  misi3k
- bcond ldap with -> without

Revision 1.153  2003/05/22 12:08:14  misi3k
- rel 0.4
- fixed ldap support
- added ldap bcond

Revision 1.152  2003/05/21 05:55:07  misi3k
- rel 0.3
- added ldap patch ( A patch for retrieving public keys using LDAP )

Revision 1.151  2003/05/10 22:00:07  radek
- BR: %__perl instead of perl

Revision 1.150  2003/05/08 22:13:54  qboosh
- ssh-keysign(8) man makes no sense without ssh-keysign helper
  (maybe place them into separate subpackage? but not by default)

Revision 1.149  2003/04/29 13:59:46  misi3k
- rel 0.2
- added ssh-keysign man page

Revision 1.148  2003/04/29 13:53:50  misi3k
- updated to 3.6.1p2
- BR up to openssl-devel >= 0.9.7b

Revision 1.147  2003/04/01 19:16:52  lukasz
- up to 3.6.1p1

Revision 1.146  2003/03/31 12:06:20  trojan
- back to Epoch: 2
- release 0.1

Revision 1.145  2003/03/31 12:00:39  misi3k
- updated to 3.6
- removed patch1 (not needed)
- patch4 fix me

Revision 1.144  2003/02/16 23:00:13  qboosh
- gtk2 askpass BR: pkgconfig

Revision 1.143  2003/02/16 12:30:04  misiek
- rebuild

Revision 1.142  2003/02/13 14:05:22  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.141  2003/02/09 10:43:22  qboosh
- umask in %post
- build gtk2-based gnome-askpass by default

Revision 1.140  2003/01/31 11:47:54  qboosh
- pass xauth path to configure, so it's not needed (BTW, XFree86-devel was not sufficient)
- removed BR: chrpath - it's rpm-dependent thing

Revision 1.139  2003/01/15 15:28:12  siefca
- /etc/profile.d/openssh-askpass{sh,csh} enabled

Revision 1.138  2003/01/15 15:16:10  siefca
- added BuildRequires: chrpath
- fixed source version number while compiling ssh-askpass
- added /etc/profile.d/openssh-askpass.{sh,csh}
- rel 3

Revision 1.137  2002/11/05 15:17:24  zagrodzki
- add sigpipe patch
- rel 2

Revision 1.136  2002/10/15 23:58:42  misiek
- removed obsolete patches (important one are already merged upstream); updated to 3.5p1

Revision 1.135  2002/10/15 22:12:15  mmazur
- probably wrong (after midnight so excuse me)

Revision 1.134  2002/10/15 22:10:23  mmazur
- no gnome means no x right?

Revision 1.133  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.132  2002/07/29 13:24:41  baggins
- release 3.2
- pam_misc patch - link sshd with libpam_misc
- removed Owl pam_userpass patch (not relly sure what it's for but it breaks PAM auth)

Revision 1.131  2002/07/29 12:19:12  baggins
- reordered patches

Revision 1.130  2002/07/29 12:16:29  baggins
- release 3.1
- added collection of _very_ useful patches from Owl distro (PAM fixes)

Revision 1.129  2002/07/03 19:37:47  qboosh
- added some de,fr,it,pt translations from contrib/caldera/openssh.spec
- Epoch: 1 to allow upgrade from patched 3.2.3p1
  (but don't move this package from /test yet - it still has some PAM problems!)

Revision 1.128  2002/06/28 09:48:07  qboosh
- changed Requires: FHS to Prereq (but it won't help if FHS install fail - rpm bug)

Revision 1.127  2002/06/27 18:14:15  qboosh
- updated config files (removed obsolete entries, added comments about new ones)
- release 3

Revision 1.126  2002/06/27 13:22:57  misiek
- add mmaping on 2.2 kernels

Revision 1.125  2002/06/26 15:42:57  misiek
- 3.4 (pam still not working)

Revision 1.124  2002/06/26 10:19:51  qboosh
- init script: use soft-only ulimit -c 0 (required for privsep to allow
  login of users with uid>0 and core limit set to >0); R: new rc-scripts
  I don't have better idea now.
- STBR ASAP together with rc-scripts - it's SECURITY UPDATE

Revision 1.123  2002/06/25 08:17:03  qboosh
- fixed pre server, added postun server; TODO: fix pam_limits usage!

Revision 1.122  2002/06/25 08:06:48  qboosh
- moved privsep dir to FHS-compliant location (R: new FHS); NFY

Revision 1.121  2002/06/24 21:38:07  lukasz
- STIL NOT TESTED
- addded privsep, added sshd user

Revision 1.120  2002/06/24 21:34:00  lukasz
- NOT TESTED:
- cvs server: [23:32:34] waiting for cvs's lock in /cvsroot/SOURCES

Revision 1.119  2002/06/23 19:49:49  kloczek
- updated to 3.3.p1,
- added ssh{,d}_config man pages to %files.

Revision 1.118  2002/05/25 12:18:04  kloczek
- merge translations from KSI.

Revision 1.117  2002/05/25 12:08:37  kloczek
- updated to 3.2.3p1.

Revision 1.116  2002/05/21 23:14:19  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.115  2002/05/20 22:29:07  kloczek
- release 1: use new %doc packing infrastructure.

Revision 1.114  2002/05/17 08:44:47  areq
- up 3.2.2p1, STBR
- Release: 0.1

Revision 1.113  2002/04/09 19:32:55  ankry
- removed man section from .so redirections
- release 4

Revision 1.112  2002/03/25 11:33:24  zagrodzki
- one more patch (disable DONT_TRY_OTHER_AF)
- rel. 3
- STBR

Revision 1.111  2002/03/25 09:57:14  zagrodzki
- fixed opensshd.conf
- rel. 2
- STBR

Revision 1.110  2002/03/07 22:29:10  misiek
- updated to 3.1p1

Revision 1.109  2002/03/07 16:20:18  qboosh
- release 4: SECURITY fix for off-by-one (pine-cert-20020301 patch); STBR

Revision 1.108  2002/03/05 17:41:51  marcus
- removed uclibc stuff
- rel.3.

Revision 1.107  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.106  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.105  2002/01/28 01:42:36  kloczek
- merge translations from Conectiva.

Revision 1.104  2002/01/23 16:32:07  malekith
- rel 2
- embed subpackage added

Revision 1.103  2002/01/18 02:14:07  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.102  2001/12/02 18:08:25  kloczek
- updated to 3.0.2p1.

Revision 1.101  2001/11/16 23:10:30  lukasz
- updated to 3.0.1p1

Revision 1.100  2001/11/08 02:40:16  kloczek
- release 2.

Revision 1.99  2001/11/07 23:10:35  qboosh
- BuildRequires: perl (used in build process)
- removed "< version, > version" from Obsoletes - what they were for???

Revision 1.98  2001/11/07 15:32:35  mkierus
- fixed Patch0

Revision 1.97  2001/11/07 15:29:39  mkierus
- update to 3.0p1

Revision 1.96  2001/10/29 23:19:07  kloczek
- release 2.

Revision 1.95  2001/10/29 20:41:24  filon
- removed build requirement: gtk+-devel, implied by gnome-libs-devel

Revision 1.94  2001/09/28 03:54:21  kloczek
- s/primes/moduli/

Revision 1.93  2001/09/28 03:37:14  kloczek
- updated to 2.9.9p2,
- removed obsoleted pam_session patch.

Revision 1.92  2001/09/14 14:59:06  baggins
- release 5
- added pam_session patch - ALWAYS call pam_open_session (cretins!)

Revision 1.91  2001/09/11 22:14:17  klakier
- rel 4
- generating new keys moved to opensshd.init
  stb, PLEASE LEAVE THIS REL IN TEST UNTIL IT IS REALLY TESTED OUT!

Revision 1.90  2001/09/08 22:09:08  blues
- release 4
- set_12 patch - add -1 and -2 option to allow force SSH1/SSH2. Man-page
  changed too (tnx arekm)

Revision 1.89  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.87  2001/07/16 20:29:31  kloczek
- back to BuildRequires: openssl-devel >= 0.9.6a.

Revision 1.86  2001/07/16 16:12:36  qboosh
- disabled openssl version checking in code (rpm deps are sufficient)

Revision 1.85  2001/07/13 10:00:41  kloczek
- release 3: added "%requires_eq openssl".

Revision 1.84  2001/07/12 21:08:31  kloczek
- rebuild against openssl 0.9.6b.

Revision 1.83  2001/06/23 13:56:02  misiek
- don't obsolete sftp since both sftp protocols are a bit different

Revision 1.82  2001/06/17 23:49:10  kloczek
- updated to 2.9p2.

Revision 1.81  2001/05/28 20:53:15  kloczek
- release 4.

Revision 1.80  2001/05/28 19:44:23  misiek
- generate RSA key, too

Revision 1.79  2001/05/22 09:06:33  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.78  2001/05/12 11:45:35  misiek
- release 3
- fix directory for pid file

Revision 1.77  2001/05/08 20:52:12  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.76  2001/05/02 16:29:11  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.75  2001/05/01 22:54:39  misiek
- updated to 2.9p1
- include groff symlink for slogin man page

Revision 1.74  2001/04/06 22:16:52  kloczek
- release 2: added handling reload with HUP signal in init script (siefca).

Revision 1.73  2001/03/22 15:21:59  kloczek
- updated to 2.5.2p2.

Revision 1.72  2001/03/20 19:08:56  misiek
- 2.5.2p1

Revision 1.71  2001/03/07 16:07:30  misiek
- change sftp-server location

Revision 1.70  2001/03/01 07:56:36  misiek
- 2.5.1p2; stb

Revision 1.69  2001/02/28 23:07:43  misiek
- whoah! previous 2.5.1 versions were without pam support; fixed; stb

Revision 1.68  2001/02/27 14:42:15  wiget
- fix init script (now sshd support both ssh protocol by default);release 3;stb

Revision 1.67  2001/02/24 23:47:28  kloczek
- release 2: added a security patch (oracle) from the cvs, by Markus Friedl.

Revision 1.66  2001/02/22 01:02:26  kloczek
- release 1.

Revision 1.65  2001/02/21 16:21:51  wiget
- clients obsoletes sftp

Revision 1.64  2001/02/21 10:46:10  misiek
2.5.1p1. stb

Revision 1.63  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.62  2001/01/29 20:20:13  baggins
- release 8
- added pam-session patch (always call pam_open_session)

Revision 1.61  2001/01/24 20:51:53  zagrodzki
- release 8
- prereq: chkconfig
- kloczek: don't fix everything but what's broken (somebody fix rpm first)

Revision 1.60  2001/01/24 06:23:06  kloczek
- release 6: Requires for rc-scripts changed to Prereg in server subpackage.

Revision 1.59  2001/01/10 09:47:49  kloczek
- release 5.

Revision 1.58  2001/01/10 08:37:57  qboosh
- use full path to sshd on start (or sshd will die on SIGHUP)
- s/no_gnome/_without_gnome/

Revision 1.57  2001/01/06 19:42:14  misiek
- release 4; fixed security bug

Revision 1.56  2000/12/11 08:28:12  qboosh
- conditional build: no_gnome

Revision 1.55  2000/12/05 15:58:34  kloczek
- release 3.

Revision 1.54  2000/11/23 22:11:14  zagrodzki
- BuildRequires: libwrap-devel

Revision 1.53  2000/11/12 16:47:37  kloczek
- release 2: rebuild against glibc 2.2.

Revision 1.52  2000/11/08 09:29:58  waszi
- fixed %doc

Revision 1.51  2000/11/07 18:09:15  baggins
- removed obsoleted canonname patch

Revision 1.50  2000/11/07 15:23:19  baggins
- update to 2.3.0p1
- PAM patch is obsolete (AT LAST!)
- updated LIBS and libwrap patches

Revision 1.49  2000/10/29 17:05:02  kloczek
- few cosmetics,
- use new rpm automation,
- rebuild openssh-gnome-askpass against gnome-libs linked with db3.

Revision 1.48  2000/10/28 19:17:25  misiek
- added openssh-canonname.patch
- release 3

Revision 1.47  2000/09/12 15:38:58  kloczek
- adapterized.

Revision 1.46  2000/09/12 11:43:39  baggins
- release 2
- StrictHostKeyChecking no

Revision 1.45  2000/09/04 19:20:05  kloczek
- updated to 2.2.0p1.

Revision 1.44  2000/08/22 22:43:49  kloczek
- release 2,
- added no_libnsl patch with disable checking for libnsl.

Revision 1.43  2000/07/17 01:50:49  kloczek
- updated to 2.1.1p4.

Revision 1.42  2000/07/12 22:41:33  kloczek
- updated to 2.1.1p3.

Revision 1.41  2000/07/06 03:35:57  kloczek
- updated to 2.1.1p2,
- removed outdated login,
- updated libwrap patch.

Revision 1.40  2000/06/12 14:41:53  zagrodzki
- updated to 2.1.1p1

Revision 1.39  2000/06/09 07:54:45  kloczek
- more %{__make} macros.

Revision 1.38  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.37  2000/05/31 11:15:12  bonkey
- upgrade to 2.1.0p3

Revision 1.36  2000/05/24 18:39:56  kloczek
- release 2,
- do not link with all binaries with all $(LIBS) libraries (added LIBS
  patch).

Revision 1.35  2000/05/24 18:03:18  zagrodzki
- prereq: pam (for ssh-keygen)

Revision 1.34  2000/05/22 10:23:48  wiget
- 2.1.0p2

Revision 1.33  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.32  2000/05/15 10:03:29  kloczek
- release 3.

Revision 1.31  2000/05/15 09:59:31  misiek
- added openssh-login.patch (Mirek Nowakowski <nowam@limes.com.pl>)

Revision 1.30  2000/05/15 02:19:14  kloczek
- spec adapterized.

Revision 1.29  2000/05/12 11:21:32  misiek
- fixes, added pl translation

Revision 1.28  2000/05/10 20:35:26  kloczek
- fix install ssh-askpass,
- spec adapterized.

Revision 1.27  2000/05/10 20:13:22  kravietz
- fixes

Revision 1.26  2000/05/10 17:21:15  kravietz
- Upgrade to OpenSSH-2.1.0

Revision 1.25  2000/04/25 20:26:56  zagrodzki
- Prereq: openssl

Revision 1.24  2000/04/16 09:57:34  kloczek
- release 3,
- standarized %post for server.

Revision 1.23  2000/04/06 20:44:51  kloczek
- release 2.

Revision 1.22  2000/04/06 18:24:33  kravietz
- various minor fixes needed for 1.2.3

Revision 1.21  2000/04/06 17:37:23  kravietz
- openssh-linux.patch obsoleted in 1.2.3

Revision 1.20  2000/04/06 17:23:12  kravietz
- upgrade to 1.2.3
- changed primary FTP site to German mirror, original site no longer
  accepts requests

Revision 1.19  2000/04/01 11:15:14  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.17  2000/03/08 12:35:44  wiget
- 1.2.2p1

Revision 1.16  2000/02/19 10:34:08  kloczek
- release 3.

Revision 1.15  2000/02/18 17:56:22  misiek
- typo

Revision 1.14  2000/02/10 12:17:16  wiget
- added linux.patch (fix Xforwarding) by Misiek
- fix restarting/stoping sshd

Revision 1.13  2000/02/06 18:31:00  waszi
- added blacklist.sshd

Revision 1.12  2000/02/04 15:46:17  baggins
- updated to 1.2.2

Revision 1.11  2000/01/31 22:25:27  kloczek
- release 3,
- recompiled in new environment with libesd not depends on liasound.

Revision 1.10  2000/01/05 02:07:39  kloczek
- fixed Obsoletes rules.

Revision 1.9  2000/01/05 01:56:18  kloczek
- added sanity check is server runed before stopping sshad service in %preun
  in server subpackage (prevent double stopping on switch to ssh),
- check /var/lock/subsys/sshd in %preun and post before stopping and
  restarting openssh service,
- added /bin/login and util-linux to Requires list for server subpackage,
- beter Obsoletes rules for switching fron ssh,
- cosmetics.

Revision 1.8  2000/01/04 17:22:05  baggins
- fixed and uncommented PAM_NEW_AUTHTOK patch

Revision 1.7  2000/01/04 14:16:34  wiget
- 1.2.1pre24
- commented PAM patch because is broken (Janek please make new patch)

Revision 1.6  1999/12/21 23:04:45  wiget
- changed for new openssl
- some new version

Revision 1.5  1999/12/13 22:18:18  wiget
- updated to pre17
- enabled IPv6 support (patch updated by misiek@pld.org.pl)

Revision 1.4  1999/12/02 19:44:15  baggins
- added forced password change patch
- fixed Source URL
- added passwd.pamd to sources
- release++

Revision 1.3  1999/11/26 09:27:07  waszi
- small fixes
